<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:flowable="http://flowable.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI" typeLanguage="http://www.w3.org/2001/XMLSchema" expressionLanguage="http://www.w3.org/1999/XPath" targetNamespace="http://www.flowable.org/processdef" exporter="Flowable Open Source Modeler" exporterVersion="6.7.2">
  <process id="Flowable_Pickingout" name="Flowable_Pickingout" isExecutable="true">
    <startEvent id="sid-CF2B388A-9208-454F-8A3B-463CA37A8559" name="starter" flowable:formFieldValidation="true"/>
    <userTask id="sid-36006ACD-7D4E-4B39-ABAD-68368747EEFB" name="第一审批人" flowable:assignee="${deptmanager}" flowable:formFieldValidation="true" flowable:formKey="outbound/deptmanager">
      <extensionElements>
        <modeler:initiator-can-complete xmlns:modeler="http://flowable.org/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <sequenceFlow id="sid-76F8930E-21F4-4D6E-9DC0-944E916F30CB" sourceRef="sid-CF2B388A-9208-454F-8A3B-463CA37A8559" targetRef="startOutbound"/>
    <exclusiveGateway id="sid-D99B61CC-17CF-479A-AE50-9F8E90F6BD8E"/>
    <sequenceFlow id="sid-5B0ECDD7-385B-47F9-BEB7-AC62B575CDA4" sourceRef="sid-36006ACD-7D4E-4B39-ABAD-68368747EEFB" targetRef="sid-D99B61CC-17CF-479A-AE50-9F8E90F6BD8E"/>
    <userTask id="sid-14B4AC83-E378-4100-B22C-D48237F4CE13" name="第二审批人" flowable:assignee="${managerName}" flowable:formFieldValidation="true" flowable:formKey="outbound/managerName">
      <extensionElements>
        <flowable:taskListener event="complete" class="com.zbf.system.listener.MyTaskListener"/>
        <modeler:initiator-can-complete xmlns:modeler="http://flowable.org/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <exclusiveGateway id="sid-A5493865-29DE-4688-95EF-A87F677E2049"/>
    <sequenceFlow id="sid-A4FD6AA4-AF98-4127-A274-531036FD6383" sourceRef="sid-14B4AC83-E378-4100-B22C-D48237F4CE13" targetRef="sid-A5493865-29DE-4688-95EF-A87F677E2049"/>
    <endEvent id="sid-161C9FBE-3D9A-43EF-AEDB-8C6ACEEC1ACE" name="结束"/>
    <sequenceFlow id="sid-0D525B5A-3362-47BE-8AB3-5CAB035EB33C" name="驳回" sourceRef="sid-D99B61CC-17CF-479A-AE50-9F8E90F6BD8E" targetRef="startOutbound">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${approve == 'false'}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-4054AD5C-0A9E-4347-B9E7-A58562D00C2D" name="同意" sourceRef="sid-D99B61CC-17CF-479A-AE50-9F8E90F6BD8E" targetRef="sid-14B4AC83-E378-4100-B22C-D48237F4CE13">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${approve == 'true'}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-917084CC-9DB5-498E-89EE-2259D945F266" name="同意" sourceRef="sid-A5493865-29DE-4688-95EF-A87F677E2049" targetRef="sid-161C9FBE-3D9A-43EF-AEDB-8C6ACEEC1ACE">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${agree == 'true'}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-9FBE31A7-728A-48B6-A480-DE35BEC4B8F0" name="驳回" sourceRef="sid-A5493865-29DE-4688-95EF-A87F677E2049" targetRef="sid-36006ACD-7D4E-4B39-ABAD-68368747EEFB">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${agree== 'false'}]]></conditionExpression>
    </sequenceFlow>
    <userTask id="startOutbound" name="发起人" flowable:assignee="${userId}" flowable:formKey="outbound/addOutbound"/>
    <sequenceFlow id="sid-4793c966-3565-43b5-b370-c8dc5c6aec19" sourceRef="startOutbound" targetRef="sid-36006ACD-7D4E-4B39-ABAD-68368747EEFB"/>
    <sequenceFlow id="sid-94b556cf-0aad-4d4a-84e6-f00dcbcd05dc" sourceRef="sid-A5493865-29DE-4688-95EF-A87F677E2049" targetRef="sid-36006ACD-7D4E-4B39-ABAD-68368747EEFB" name="驳回">
      <conditionExpression xsi:type="tFormalExpression"/>
    </sequenceFlow>
  </process>
  <bpmndi:BPMNDiagram id="BPMNDiagram_Flowable_Pickingout">
    <bpmndi:BPMNPlane bpmnElement="Flowable_Pickingout" id="BPMNPlane_Flowable_Pickingout">
      <bpmndi:BPMNShape bpmnElement="sid-CF2B388A-9208-454F-8A3B-463CA37A8559" id="BPMNShape_sid-CF2B388A-9208-454F-8A3B-463CA37A8559">
        <omgdc:Bounds height="29.99999999999997" width="30.0" x="-110.0" y="246.00002"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-36006ACD-7D4E-4B39-ABAD-68368747EEFB" id="BPMNShape_sid-36006ACD-7D4E-4B39-ABAD-68368747EEFB">
        <omgdc:Bounds height="128.0" width="171.0" x="170.0" y="195.99998"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-D99B61CC-17CF-479A-AE50-9F8E90F6BD8E" id="BPMNShape_sid-D99B61CC-17CF-479A-AE50-9F8E90F6BD8E">
        <omgdc:Bounds height="40.0" width="40.0" x="419.9999937415124" y="239.99999642372137"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-14B4AC83-E378-4100-B22C-D48237F4CE13" id="BPMNShape_sid-14B4AC83-E378-4100-B22C-D48237F4CE13">
        <omgdc:Bounds height="131.99999921023846" width="243.99999786913395" x="525.0" y="194.00002"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-A5493865-29DE-4688-95EF-A87F677E2049" id="BPMNShape_sid-A5493865-29DE-4688-95EF-A87F677E2049">
        <omgdc:Bounds height="40.00000000000003" width="40.0" x="809.9999758601194" y="239.99999284744283"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-161C9FBE-3D9A-43EF-AEDB-8C6ACEEC1ACE" id="BPMNShape_sid-161C9FBE-3D9A-43EF-AEDB-8C6ACEEC1ACE">
        <omgdc:Bounds height="28.00000000000003" width="28.0" x="959.9999713897712" y="245.9999891817574"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge bpmnElement="sid-4054AD5C-0A9E-4347-B9E7-A58562D00C2D" id="BPMNEdge_sid-4054AD5C-0A9E-4347-B9E7-A58562D00C2D" flowable:sourceDockerX="20.5" flowable:sourceDockerY="20.5" flowable:targetDockerX="121.99999893456696" flowable:targetDockerY="65.99999960511923">
        <omgdi:waypoint x="459.39966778620806" y="260.5457693963385"/>
        <omgdi:waypoint x="525.0" y="259.7046"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-A4FD6AA4-AF98-4127-A274-531036FD6383" id="BPMNEdge_sid-A4FD6AA4-AF98-4127-A274-531036FD6383" flowable:sourceDockerX="121.99999893456697" flowable:sourceDockerY="65.99999960511921" flowable:targetDockerX="20.5" flowable:targetDockerY="20.500000000000014">
        <omgdi:waypoint x="768.95" y="259.6676"/>
        <omgdi:waypoint x="810.5543241082637" y="260.5542052249667"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-5B0ECDD7-385B-47F9-BEB7-AC62B575CDA4" id="BPMNEdge_sid-5B0ECDD7-385B-47F9-BEB7-AC62B575CDA4" flowable:sourceDockerX="132.99999875575304" flowable:sourceDockerY="63.999999627471" flowable:targetDockerX="20.5" flowable:targetDockerY="20.5">
        <omgdi:waypoint x="340.96783" y="259.71393"/>
        <omgdi:waypoint x="420.54291196913323" y="260.5428073557759"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-0D525B5A-3362-47BE-8AB3-5CAB035EB33C" id="BPMNEdge_sid-0D525B5A-3362-47BE-8AB3-5CAB035EB33C" flowable:sourceDockerX="20.5" flowable:sourceDockerY="20.5" flowable:targetDockerX="14.0" flowable:targetDockerY="14.0">
        <omgdi:waypoint x="440.5" y="279.44263"/>
        <omgdi:waypoint x="440.5" y="389.0"/>
        <omgdi:waypoint x="55.0" y="389.00003"/>
        <omgdi:waypoint x="55.0" y="301.00003"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-76F8930E-21F4-4D6E-9DC0-944E916F30CB" id="BPMNEdge_sid-76F8930E-21F4-4D6E-9DC0-944E916F30CB" flowable:sourceDockerX="15.0" flowable:sourceDockerY="14.999999999999986" flowable:targetDockerX="132.99999875575307" flowable:targetDockerY="63.999999627470984">
        <omgdi:waypoint x="-80.05" y="261.00003"/>
        <omgdi:waypoint x="-5.0" y="261.00003"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-917084CC-9DB5-498E-89EE-2259D945F266" id="BPMNEdge_sid-917084CC-9DB5-498E-89EE-2259D945F266" flowable:sourceDockerX="20.5" flowable:sourceDockerY="20.500000000000014" flowable:targetDockerX="14.0" flowable:targetDockerY="14.000000000000016">
        <omgdi:waypoint x="849.509567543904" y="260.43355879018037"/>
        <omgdi:waypoint x="960.000054329082" y="260.0485955845816"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="edge-2eedb908-87ff-4df9-bd05-91ff2269fb79" bpmnElement="sid-8ecceea9-ccf9-4f39-b718-7a18192a48d8">
        <omgdi:waypoint x="840.0" y="267.0"/>
        <omgdi:waypoint x="960.0" y="382.0"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNShape id="shape-91a96c58-82ee-4efb-ac76-ae98d4a63ba7" bpmnElement="startOutbound">
        <omgdc:Bounds x="-5.0" y="221.0" width="100.0" height="80.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="edge-4a4fff9c-fc9f-476b-b34a-c767874f350e" bpmnElement="sid-4793c966-3565-43b5-b370-c8dc5c6aec19">
        <omgdi:waypoint x="95.0" y="261.0"/>
        <omgdi:waypoint x="170.0" y="260.0"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="edge-58bd32da-bb87-4569-a364-17c631e8ab4f" bpmnElement="sid-94b556cf-0aad-4d4a-84e6-f00dcbcd05dc">
        <omgdi:waypoint x="830.0" y="240.0"/>
        <omgdi:waypoint x="830.0" y="114.5"/>
        <omgdi:waypoint x="255.5" y="114.5"/>
        <omgdi:waypoint x="255.5" y="196.00002"/>
      </bpmndi:BPMNEdge>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</definitions>
